const postcss = require('postcss');
const autoprefixer = require('autoprefixer');
const cssnano = require('cssnano');
const normalizeCss = require('postcss-normalize');
const postcssFluid = require('postcss-fluid');
const importCss = require('postcss-import');
const postcssNesting = require('postcss-nesting');
const postcssFor = require('postcss-for');
const postcssMixins = require('postcss-mixins');
const postcssResponsiveType = require('postcss-responsive-type');


let css = `
    a {
        display: flex;
        justify-content: center;
        align-items: center;
    }
`;

async function test() {
    return await new Promise((resolve, reject) => {
        postcss([
            importCss(),
            normalizeCss,
            postcssMixins,
            postcssNesting(),
            postcssFor,
            postcssFluid({
                // Defaults:
                min: '320px', // Min media size
                max: '1800px', // Max media size
                functionName: 'fluid', // function name, may be anything
            }), // https://github.com/notiv-nt/postcss-fluid
            autoprefixer,
            cssnano,
            postcssResponsiveType

        ]).process(css, {from: void 0}).then((result) => {
            resolve(result.css);
        }).catch((err) => {
            reject(err);
        })
    })

}